Package org.bukkit.event.world

# Class StructureGrowEvent

java.lang.Object
org.bukkit.event.Event
org.bukkit.event.world.WorldEvent
org.bukkit.event.world.StructureGrowEvent

All Implemented Interfaces:
  `Cancellable`

public class StructureGrowEvent extends WorldEvent implements Cancellable
Event that is called when an organic structure attempts to grow (Sapling -> Tree), (Mushroom -> Huge Mushroom), naturally or using bonemeal.

## Nested Class Summary

## Nested classes/interfaces inherited from class org.bukkit.event.Event

`Event.Result`

## Constructor Summary

Constructors
Constructor
Description
`StructureGrowEvent(@NotNull Location location, @NotNull TreeType species, boolean bonemeal, @Nullable Player player, @NotNull List<BlockState> blocks)`

## Method Summary

Modifier and Type
Method
Description
`@NotNull List<BlockState>`
`getBlocks()`
Gets a list of all blocks associated with the structure.
`static @NotNull HandlerList`
`getHandlerList()`
`@NotNull HandlerList`
`getHandlers()`
`@NotNull Location`
`getLocation()`
Gets the location of the structure.
`@Nullable Player`
`getPlayer()`
Gets the player that created the structure.
`@NotNull TreeType`
`getSpecies()`
Gets the species type (birch, normal, pine, red mushroom, brown mushroom)
`boolean`
`isCancelled()`
Gets the cancellation state of this event.
`boolean`
`isFromBonemeal()`
Checks if structure was grown using bonemeal.
`void`
`setCancelled(boolean cancel)`
Sets the cancellation state of this event.

### Methods inherited from class org.bukkit.event.world.WorldEvent

`getWorld`

### Methods inherited from class org.bukkit.event.Event

`callEvent, getEventName, isAsynchronous`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### StructureGrowEvent

public StructureGrowEvent(@NotNull @NotNull Location location, @NotNull @NotNull TreeType species, boolean bonemeal, @Nullable @Nullable Player player, @NotNull @NotNull List<BlockState> blocks)

## Method Details

### getLocation

@NotNull public @NotNull Location getLocation()
Gets the location of the structure.

Returns:
  Location of the structure

### getSpecies

@NotNull public @NotNull TreeType getSpecies()
Gets the species type (birch, normal, pine, red mushroom, brown mushroom)

Returns:
  Structure species

### isFromBonemeal

public boolean isFromBonemeal()
Checks if structure was grown using bonemeal.

Returns:
  True if the structure was grown using bonemeal.

### getPlayer

@Nullable public @Nullable Player getPlayer()
Gets the player that created the structure.

Returns:
  Player that created the structure, null if was not created manually

### getBlocks

@NotNull public @NotNull List<BlockState> getBlocks()
Gets a list of all blocks associated with the structure.

Returns:
  list of all blocks associated with the structure.

### isCancelled

public boolean isCancelled()
Description copied from interface: `Cancellable`
Gets the cancellation state of this event. A cancelled event will not be executed in the server, but will still pass to other plugins

Specified by:
  `isCancelled` in interface `Cancellable`
Returns:
  true if this event is cancelled

### setCancelled

public void setCancelled(boolean cancel)
Description copied from interface: `Cancellable`
Sets the cancellation state of this event. A cancelled event will not be executed in the server, but will still pass to other plugins.

Specified by:
  `setCancelled` in interface `Cancellable`
Parameters:
  `cancel` - true if you wish to cancel this event

### getHandlers

@NotNull public @NotNull HandlerList getHandlers()

Specified by:
  `getHandlers` in class `Event`

### getHandlerList

@NotNull public static @NotNull HandlerList getHandlerList()